# diya-session-manager

## Running the daemon

By default, the daemon will look for this file in the following locations `/etc/diya/daemon.conf`
or it can be specified using the -c option:

```
diya-session-manager -c /path/to/daemon.conf
```
Example of configuration file can be found in `conf/daemon.conf`

As the session manager daemon listens on Dbus system bus,to run the daemon:
-  the variable environment `DBUS_SYSTEM_BUS_ADDRESS` shall be set and known by the daemon
   e.g. `DBUS_SYSTEM_BUS_ADDRESS=unix:path=/run/dbus/system_bus_socket`
- the bus policy shall be configured correctly in `/etc/dbus-1/system.d/` to allow or deny user
  accessing tothe bus. See `conf/diya-dbus.conf` as an example of bus policy configuration

## test with dbus-send

```sh
#introspect
dbus-send --system --print-reply --reply-timeout=2000 --type=method_call --dest=dev.iohub.diya.SessionManager /dev/iohub/diya/SessionManager org.freedesktop.DBus.Introspectable.Introspect

# monitor the bus
dbus-monitor --system "path=/dev/iohub/diya/SessionManager"


# request user login
dbus-send --system --type=method_call --print-reply  --dest=dev.iohub.diya.SessionManager /dev/iohub/diya/SessionManager dev.iohub.diya.SessionManager.login string:toto string:tata
```