#ifndef BASE_H
#define BASE_H
#include <glib-object.h>

/**
 * Base class object
 *
 */
#define BASE_TYPE_OBJECT (base_object_get_type())
G_DECLARE_DERIVABLE_TYPE(BaseObject, base_object, BASE, OBJECT, GObject)

struct _BaseObjectClass
{
    GObjectClass parent_class;
    const gchar *(*to_string)(BaseObject *self);
    /**
     * @brief reserve for future use to
     * define common API for descendants
     */
};

const gchar *base_object_to_string(gpointer object);
#endif